Subject: bug#68320: 30.0.50; filename completion with tramp fails on Windows

From: Corwin Brust <[email-masked]>
Date: Mon, 8 Jan 2024 09:16:28 -0600

On Mon, Jan 8, 2024 at 6:35 AM Kazuhiro Ito <[email-masked]> wrote:
>
> 1. Start Emacs that is placed in D: drive.
> 2. Evaluate (require 'tramp) to load tramp.el.
> 3. Type C-x C-f c : / TAB TAB
>

I can reproduce this by starting Emacs placed in an H: drive and then
attempting to complete starting from C-x C-f c:/p <TAB> which should
offer me a folder called "projects" however the completion candidates
appear to be from my HOME directory (set by Environment Variable
before starting Emacs).